ResponseRedirector (Grails 4.0.11)
Date: 2021-06-24

Package: grails.web.mapping

## [Groovy] Class ResponseRedirector

- grails.web.mapping.ResponseRedirector

- Encapsulates the logic for issuing a redirect based on a Map of arguments

  Since:
    2.4
  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `ARGUMENT_ABSOLUTE` |
    `static java.lang.String` | `ARGUMENT_PERMANENT` |
    `static java.lang.String` | `GRAILS_REDIRECT_ISSUED` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `LinkGenerator` | `linkGenerator`
    `java.util.Collection<RedirectEventListener>` | `redirectListeners`
    `org.springframework.web.servlet.support.RequestDataValueProcessor` | `requestDataValueProcessor`
    `boolean` | `useJessionId`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ResponseRedirector (LinkGenerator linkGenerator)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `redirect(java.util.Map arguments = Collections.emptyMap()`
    `` | `void` | `redirect(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Map arguments)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String ARGUMENT_ABSOLUTE

    - #### public static final java.lang.String ARGUMENT_PERMANENT

    - #### public static final java.lang.String GRAILS_REDIRECT_ISSUED

  - ### Property Detail

    - #### LinkGenerator linkGenerator

    - #### java.util.Collection<RedirectEventListener> redirectListeners

    - #### org.springframework.web.servlet.support.RequestDataValueProcessor requestDataValueProcessor

    - #### boolean useJessionId

  - ### Constructor Detail

    - #### ResponseRedirector(LinkGenerator linkGenerator)

  - ### Method Detail

    - #### void redirect(java.util.Map arguments = Collections.emptyMap()

    - #### void redirect(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Map arguments)